package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.PlcCategoryPO;
import mhp.oee.po.gen.PlcCategoryPOExample;

public interface PlcCategoryPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int countByExample(PlcCategoryPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int deleteByExample(PlcCategoryPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int insert(PlcCategoryPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int insertSelective(PlcCategoryPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    List<PlcCategoryPO> selectByExample(PlcCategoryPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    PlcCategoryPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") PlcCategoryPO record, @Param("example") PlcCategoryPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") PlcCategoryPO record, @Param("example") PlcCategoryPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(PlcCategoryPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_category
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(PlcCategoryPO record);
}